# geos::operation::relate::RelateOp Class Reference

Implements the relate() operation on Geometry. More...

`#include <RelateOp.h>`

Inheritance diagram for geos::operation::relate::RelateOp:

List of all members.

## Public Member Functions

| RelateOp (const geom::Geometry *g0, const geom::Geometry *g1)
geom::IntersectionMatrix * | getIntersectionMatrix ()

## Static Public Member Functions

static geom::IntersectionMatrix * | relate (const geom::Geometry *a, const geom::Geometry *b)

## Detailed Description

Implements the relate() operation on Geometry.

WARNING: The current implementation of this class will compute a result for GeometryCollections. However, the semantics of this operation are not well-defined and the value returned may not represent an appropriate notion of relate.

The documentation for this class was generated from the following file:

- RelateOp.h